## partman-base 172ubuntu1

=== debian/changelog ===
partman-base (172ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use the device's logical sector size throughout rather than
      PED_SECTOR_SIZE_DEFAULT.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2014 14:51:11 +0000

partman-base (172) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Jan 2014 15:20:41 +0100

partman-base (171) unstable; urgency=low

  [ Miquel van Smoorenbur ]
  * init.d/parted: Skip devices that are part of a mdraid device. (Closes:
    #699432)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 02 Dec 2013 23:15:47 +0000

partman-base (170) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 19:50:01 +0100

partman-base (169ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use the device's logical sector size throughout rather than
      PED_SECTOR_SIZE_DEFAULT.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Oct 2013 07:39:57 -0700

partman-base (169) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 16:17:13 +0200

partman-base (168) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po)

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Aug 2013 07:39:49 +0200

partman-base (167ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use the device's logical sector size throughout rather than
      PED_SECTOR_SIZE_DEFAULT.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jul 2013 23:50:14 +0100

partman-base (167) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 12:14:38 +0200

partman-base (166ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use the device's logical sector size throughout rather than
      PED_SECTOR_SIZE_DEFAULT.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Jun 2013 12:45:44 +0100

partman-base (166) unstable; urgency=low

  [ Colin Watson ]
  * Use correct compiler when cross-building.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 May 2013 19:10:25 +0200

partman-base (165ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather


## partman-base 172ubuntu1.2

=== Makefile ===
CFLAGS=-Wall -Os -D_GNU_SOURCE
LIBS=-lparted

all: parted_server parted_devices partmap

parted_server: parted_server.c
	$(CC) $(CFLAGS) parted_server.c $(LIBS) -o parted_server

parted_devices: parted_devices.c
	$(CC) $(CFLAGS) parted_devices.c $(LIBS) -o parted_devices

partmap: partmap.c
	$(CC) $(CFLAGS) partmap.c $(LIBS) -o partmap

clean:
	rm -f parted_server parted_devices partmap

test:
	cd test && ./conversions

.PHONY: clean

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 9), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-base.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/partman-base.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 175ubuntu1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
-Build-Depends: debhelper (>= 9), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
 XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-base.git
 XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/partman-base.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

## partman-base 184

=== debian/changelog ===
partman-base (184) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Ioan Eugen Stan

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Apr 2015 20:06:18 +0200

partman-base (183) unstable; urgency=low

  * Drop cruft files from an unclean git copy:
    - Makefile
    - debian/partman-base.dirs
    - debian/partman-utils.dirs

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 Mar 2015 17:02:04 +0100

partman-base (182) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 11:59:54 +0100

partman-base (181) unstable; urgency=high

  * Fix command_get_file_system() to correctly look at fstype and not at
    part->fs_type, fixing possible NULL pointer dereferences. Thanks to
    the many reporters, to Steve McIntyre for the initial backtrace, and
    to Lennart Sorensen for the patch! (Closes: #778773)

 -- Cyril Brulebois <kibi@debian.org>  Wed, 04 Mar 2015 17:30:29 +0100

partman-base (180) unstable; urgency=low

  * Avoid overwriting the bootloader area on more platforms: detect
    Freescale and AM33XX systems along with Allwinner ones, and disable
    ped_disk_clobber on such systems, when the device is /dev/mmcblk0
    (Closes: #770666). With many thanks to Vagrant Cascadian!

 -- Cyril Brulebois <kibi@debian.org>  Sun, 23 Nov 2014 12:38:26 +0100

partman-base (179) unstable; urgency=medium

  [ Colin Watson ]
  * Build-depend on libparted-dev rather than transitional package
    libparted0-dev.

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Oct 2014 08:21:20 +0200

partman-base (178) unstable; urgency=medium

  [ Karsten Merker ]
  * Fix error handling in the is_sunxi_system() function in parted_server.c

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Sep 2014 11:27:52 +0200

partman-base (177) unstable; urgency=medium

  [ Karsten Merker ]
  * Make sure that the firmware area on the MMC device of sunxi-based
    systems is not overwritten when creating a new disklabel.
    Closes: #751704.

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Sep 2014 08:30:11 +0200

partman-base (176) unstable; urgency=medium

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Use the device's logical sector size throughout rather than
      PED_SECTOR_SIZE_DEFAULT (closes: #474698, LP: #1065281).

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Aug 2014 19:42:48 +0100

partman-base (175) unstable; urgency=medium

  * Make tests cope with parted 3.2 automatically creating a partition when
    creating a fresh loop label (closes: #757662).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 16:34:36 +0100

partman-base (174) unstable; urgency=low

  [ Phillip Susi ]
  * parted_server: Remove support for filesystem create/check/copy, which is
    no longer supported in parted 3 (closes: #738923).

  [ Colin Watson ]
  * Convert to autoconf/automake, allowing us to detect whether libparted >=
    3.1 is present at build time and only link with -lparted-fs-resize in
    that case.
  * Remove support for CHECK_FILE_SYSTEM, CREATE_FILE_SYSTEM, and
    COPY_PARTITION from partman-command, matching changes to parted_server.

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jul 2014 09:41:29 +0100

partman-base (173) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Judit Gyimesi

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 17:58:15 +0100

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-base.git
Vcs-Git: git://anonscm.debian.org/d-i/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 187ubuntu1

=== debian/changelog ===
partman-base (187ubuntu1) wily; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - debian/control: replace harddrive-detection Depends with the specific
      disk-detect version needed (>= 1.95ubuntu4) to support multipath-tools
      0.5.0. There are no other harddrive-detection providers yet anyway.
    - Multipath support: 
      - lib/base.sh: is_multipath_part(): Use 'p' (not '-part') as multipath
        disk-partition separator.
      - lib/base.sh: humandev(): Accept spaces in multipath WWID.
      - init.d/parted: part_of_multipath(): Update grep expression for more
        recent output of 'multipath -l'.
      - lib/base.sh: drop the p separator for multipath partitions

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 10 Aug 2015 11:23:02 -0400

partman-base (187) unstable; urgency=medium

  [ Philip Hands ]
  * Do not list /dev/mmcblk.(rpmb|boot.) devices, as they cannot be
    usefully partitioned (Closes: #773229)
    Prompted by a patch from Tsung-Han Lin <tsung-han.lin@canonical.com>

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Jul 2015 11:05:28 +0200

partman-base (186) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Jul 2015 15:55:21 +0200

partman-base (185) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 May 2015 19:16:36 +0200

partman-base (181ubuntu4) wily; urgency=medium

  * lib/base.sh: drop the p separator for multipath partitions: since
    multipath-tools 0.5.0, there is no separator, devices are of the format
    mpath[a-z]+[0-9]+, where [0-9]+ is the partition number.
  * debian/control: replace harddrive-detection Depends with the specific
    disk-detect version needed (>= 1.95ubuntu4) to support multipath-tools
    0.5.0. There are no other harddrive-detection providers yet anyway.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 06 Jul 2015 11:42:55 -0400

partman-base (181ubuntu3) vivid; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * init.d/parted: part_of_multipath(): Update grep expression for more
    spaces between disk and major:minor (happens when sd[a-z][a-z] exist)
    (LP: #1436020)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 10 Apr 2015 16:40:29 -0400

partman-base (181ubuntu2) vivid; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Fix multipath support: (LP: #1430074)
    - lib/base.sh: is_multipath_part(): Use 'p' (not '-part') as multipath
      disk-partition separator.
    - lib/base.sh: humandev(): Use 'p' (not '-part') as multipath
      disk-partition separator.
    - lib/base.sh: humandev(): Accept spaces in multipath WWID.
    - init.d/parted: part_of_multipath(): Update grep expression for more
      recent output of 'multipath -l'.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 17 Mar 2015 00:06:34 -0400

partman-base (181ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 Mar 2015 09:35:52 +0000

partman-base (180ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2014 10:28:33 +0000

partman-base (179ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:


## partman-base 187ubuntu2.1

=== debian/changelog ===
partman-base (187ubuntu2.1) xenial; urgency=medium

  * On s390[x], Prevent using extended partitions on DASD drives that can
    only hold 3 partitions. Parted doesn't have special knowledge about
    that and claims that msdos partition table on DASD drives can hold
    usual maximum number of partitions types. LP: #1595495.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 Jun 2016 12:06:00 +0100

partman-base (187ubuntu2) xenial; urgency=medium

  [ Viktor Mihajlovski ]
  * Add disk label type to device directory, such that
    e.g. partman-partitioning can elect dasd partitioning table for dasd
    drives. LP: #1548411.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Feb 2016 14:47:30 +0000

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-base.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/partman-base.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, disk-detect (>= 1.95ubuntu4), di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with autoreconf,d-i

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEFAULT_FS=ext4
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
DEFAULT_FS=ufs
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
DEFAULT_FS=ext2
endif

PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

MENUITEMNUM=4200

export DEB_CFLAGS_MAINT_APPEND := -Wall -Os

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/

override_dh_install:
	dh_install --fail-missing

override_dh_installdebconf:
	dh_installdebconf
	sed -i '/^Template: partman\/default_filesystem/,/^$$/s/^Default: .*/Default: $(DEFAULT_FS)/' \
		debian/partman-base/DEBIAN/templates

# TODO: This is a bit gratuitous since all the "variables" are constant
# right now. Do we still need this flexibility?
override_dh_gencontrol:
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM) -Vprovides='$(PROVIDES)'

## partman-base 191+deb9u1

=== debian/changelog ===
partman-base (191+deb9u1) stretch; urgency=medium

  [ Karsten Merker ]
  * For systems that are known to have their boot firmware on an mmcblk
    device, protect the firmware area on all mmcblk devices (and not
    only on mmcblk0) from being clobbered during guided partitioning
    and add missing whitespace to the corresponding log output.
    (Closes: #854822)

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jul 2017 09:45:14 +0200

partman-base (191) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * init.d/parted: part_of_multipath(): Update grep expression for more
    recent output of 'multipath -l'.
  * lib/base.sh: humandev(): Accept spaces in multipath WWID.

  [ Cyril Brulebois ]
  * Merge Mathieu's work, with apologies for the delay.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2017 19:24:29 +0100

partman-base (190) unstable; urgency=medium

  [ Viktor Mihajlovski ]
  * Add disk label type to device directory, such that
    e.g. partman-partitioning can elect dasd partitioning table for dasd
    drives.

  [ Dimitri John Ledkov ]
  * On s390[x], prevent using extended partitions on DASD drives that can
    only hold 3 partitions. Parted doesn't have special knowledge about
    that and claims that msdos partition table on DASD drives can hold
    the usual maximum number of partitions types.

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Nov 2016 07:45:31 +0100

partman-base (189) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 17:01:43 +0100

partman-base (188) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Fri, 02 Oct 2015 12:31:01 +0200

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partman-base.git
Vcs-Git: https://anonscm.debian.org/git/d-i/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 192ubuntu1

=== debian/changelog ===
partman-base (192ubuntu1) bionic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - debian/control: replace harddrive-detection Depends with the specific
      disk-detect version needed (>= 1.95ubuntu4) to support multipath-tools
      0.5.0. There are no other harddrive-detection providers yet anyway.
    - Multipath support: 
      - lib/base.sh: is_multipath_part(): Use 'p' (not '-part') as multipath
        disk-partition separator.
      - lib/base.sh: humandev(): Accept spaces in multipath WWID.
      - init.d/parted: part_of_multipath(): Update grep expression for more
        recent output of 'multipath -l'.
      - lib/base.sh: drop the p separator for multipath partitions

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 08:10:29 +0100

partman-base (192) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/isinstallable: drop support for unsupported mips platforms.

  [ Karsten Merker ]
  * For systems that are known to have their boot firmware on an mmcblk
    device, protect the firmware area on all mmcblk devices (and not
    only on mmcblk0) from being clobbered during guided partitioning
    and add missing whitespace to the corresponding log output.
    (Closes: #854822)

 -- Cyril Brulebois <kibi@debian.org>  Mon, 26 Jun 2017 00:11:48 +0200

partman-base (187ubuntu3) yakkety; urgency=medium

  * On s390[x], Prevent using extended partitions on DASD drives that can
    only hold 3 partitions. Parted doesn't have special knowledge about
    that and claims that msdos partition table on DASD drives can hold
    usual maximum number of partitions types. LP: #1595495.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 Jun 2016 12:06:00 +0100

## partman-base 194

=== debian/changelog ===
partman-base (194) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Dec 2017 06:21:30 +0100

partman-base (193) unstable; urgency=medium

  [ Updated translations ]
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Sep 2017 06:49:43 +0200

## partman-base 198

=== debian/changelog ===
partman-base (198) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Feb 2018 13:37:09 +0100

partman-base (197) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Jan 2018 06:48:03 +0100

partman-base (196) unstable; urgency=medium

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli
  * Bokmål, Norwegian (nb.po) by Alexander Jansen
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Sebastian Rasmussen

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jan 2018 17:17:15 +0100

partman-base (195) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Dec 2017 09:43:07 +0100

## partman-base 206ubuntu1.2

=== debian/changelog ===
partman-base (206ubuntu1.2) disco; urgency=medium

  * Move superblock wiping code from command_new_label to command_commit, as
    the disk is not supposed to be written to until the latter is called.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Aug 2019 12:04:16 +1200

partman-base (206ubuntu1.1) disco; urgency=medium

  * parted_server.c: Wipe all known superblocks from device in
    command_new_label. (LP: #1828558)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 30 Jul 2019 10:18:37 +1200

partman-base (206ubuntu1) disco; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - debian/control: replace harddrive-detection Depends with the specific
      disk-detect version needed (>= 1.95ubuntu4) to support multipath-tools
      0.5.0. There are no other harddrive-detection providers yet anyway.
    - Multipath support:
      - lib/base.sh: is_multipath_part(): Use 'p' (not '-part') as multipath
        disk-partition separator.
      - lib/base.sh: humandev(): Accept spaces in multipath WWID.
      - init.d/parted: part_of_multipath(): Update grep expression for more
        recent output of 'multipath -l'.
      - lib/base.sh: drop the p separator for multipath partitions

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Mar 2019 08:51:58 +0000

partman-base (206) unstable; urgency=medium

  [ Iain Lane ]
  * Replace use of '%as' (and '%a[...]') scanf directives with '%ms'
    (LP: #1818285).

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Mar 2019 22:49:35 +0000

partman-base (205) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 05:15:55 +0100

partman-base (204) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 Feb 2019 11:50:22 +0100

partman-base (203) unstable; urgency=medium
  * Team upload

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Greek (el.po) by Vangelis Skarmoutsos
  * Persian (fa.po) by Nima Sahraneshin

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 03 Jan 2019 19:01:11 +0100

partman-base (202) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 31 Oct 2018 20:42:40 +0100

partman-base (201) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

  [ Updated translations ]
  * Finnish (fi.po) by Juhani Numminen
  * Galician (gl.po) by mantinan
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 19:46:19 +0200

partman-base (200) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Aug 2018 11:38:58 +0200

partman-base (199) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Apr 2018 06:59:07 +0200

## partman-base 206ubuntu6

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2), libblkid-dev
XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/partman-base
XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, disk-detect (>= 1.95ubuntu4), di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 208

=== debian/changelog ===
partman-base (208) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Indonesian (id.po) by Muhammad Rifqi Priyo Susanto
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Mar 2019 10:52:07 +0100

partman-base (207) unstable; urgency=medium

  [ Steve McIntyre ]
  * Make sure we call update-dev *without* --settle when we're working on
    partitioning. Otherwise we don't get the updates we need in
    /dev/disk/by-uuid/ . Closes: #852323
  * Add myself to Uploaders.

 -- Steve McIntyre <93sam@debian.org>  Sat, 09 Mar 2019 18:32:04 +0000

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
Vcs-Browser: https://salsa.debian.org/installer-team/partman-base
Vcs-Git: https://salsa.debian.org/installer-team/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 208+nmu1

=== debian/changelog ===
partman-base (208+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:13:28 +0800

## partman-base 209

=== debian/changelog ===
partman-base (209) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927514)

  [ Holger Wansing ]
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 13 Oct 2019 21:57:14 +0200

## partman-base 217

=== debian/changelog ===
partman-base (217) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Finnish (fi.po) by Kimmo Kujansuu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 24 Jul 2021 07:53:16 +0200

partman-base (216) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * lib/base.sh: Also support /dev/wd[0-9] from rumpdisk.
  * init.d/parted: Fix supporting wd* from rumpdisk.

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 02 Jun 2021 20:03:29 +0200

partman-base (215) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by KushagraKarira
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Telugu (te.po) by Praveen Illa
  * Ukrainian (uk.po) by Anton Gladky
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 17 Feb 2021 01:13:43 +0100

partman-base (214) unstable; urgency=medium

  * Team upload

  * lib/base.sh: Support /dev/wd* from rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Nov 2020 14:14:12 +0100

partman-base (213) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by سهیل خانعلی‌پور

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 05 Nov 2020 18:59:31 +0100

partman-base (212) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Kannada (kn.po) by Yogesh
  * Polish (pl.po) by Bartosz Feński
  * Swedish (sv.po) by Anders Jonsson

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 22:44:58 +0200

partman-base (211) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Reg3xp
  * Hindi (hi.po) by Sanket Pardhi

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Jul 2020 13:16:57 +0200

partman-base (210) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Spiesschaert

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 May 2020 21:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>, Steve McIntyre <93sam@debian.org>
+Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Max Vozeler <xam@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
 Vcs-Browser: https://salsa.debian.org/installer-team/partman-base
 Vcs-Git: https://salsa.debian.org/installer-team/partman-base.git

## partman-base 217%2B11.0trisquel0

=== debian/changelog ===
partman-base (217+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Sep 2022 15:28:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: partman-base
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Max Vozeler <xam@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-di (>= 2), pkg-config, po-debconf (>= 0.5.0), libparted-dev (>= 2.2)
 Vcs-Browser: https://salsa.debian.org/installer-team/partman-base

## partman-base 220

=== debian/changelog ===
partman-base (220) unstable; urgency=medium

  * Team upload.

  [ Chris Hofstaedtler ]
  * Remove experimental dmraid support.
    Includes refreshing all po files.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 04 Aug 2022 18:01:48 +0200

partman-base (219) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Build-Depends: Drop versioned constraint on dh-di, libparted-dev and po-debconf.
  * partman-base: Drop versioned constraint on cdebconf-udeb, di-utils and
    partman-partitioning in Depends.
  * Bump debhelper from deprecated 9 to 13.
  * debian/rules: Drop --fail-missing argument, now the default.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Vietnamese (vi.po) by Trần Ngọc Quân
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 15:18:28 +0200

partman-base (218) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Call depmod only when actually available.
  * Make gbp produce the right tag format.

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 15 Jan 2022 22:07:36 +0100

## partman-base 223

=== debian/changelog ===
partman-base (223) unstable; urgency=medium

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Georgian (ka.po) by Temuri Doghonadze
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:52:45 +0200

partman-base (222) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by gallegonovato
  * Japanese (ja.po) by Kentaro Hayashi

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 17:35:47 +0100

partman-base (221) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Jan 2023 13:08:02 +0100

## partman-base 226

=== debian/changelog ===
partman-base (226) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 23 May 2023 20:01:58 +0200

partman-base (225) unstable; urgency=medium

  [ Vincent Danjean ]
  * Add support for input submitted using power-of-two units (kiB, MiB, …).
    Note that sizes are still output as power-of-ten units (kB, MB, …)
    (Closes: #913431).
  * Add support for bigger prefixes while doing so:
     - petabyte (PB) and pebibyte (PiB);
     - exabyte (EB) and exbibyte (EiB).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 12 May 2023 02:21:46 +0200

partman-base (224) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 08 May 2023 21:36:19 +0200

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Max Vozeler <xam@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13), dh-di, pkg-config, po-debconf, libparted-dev
Vcs-Browser: https://salsa.debian.org/installer-team/partman-base
Vcs-Git: https://salsa.debian.org/installer-team/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils, cdebconf-udeb
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 226+parrot1

=== debian/changelog ===
partman-base (226+parrot1) lory; urgency=medium

  * use btrfs by default.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 27 May 2024 04:06:45 +0200

## partman-base 232

=== debian/changelog ===
partman-base (232) unstable; urgency=medium

  * Team upload.

  * Add support for the legacy_boot flag on GPT to manual partitioning.
    Closes: #1034814, #1087489.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Italian (it.po) by Giuseppe Sacco

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 10 Jan 2025 21:38:54 +0100

partman-base (231) unstable; urgency=medium

  * Team upload.

  * Change default unit from MB to GB. Closes: #570410

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Tamil (ta.po) by TamilNeram

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2025 22:17:22 +0100

partman-base (230) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 30 Nov 2024 00:00:55 +0100

partman-base (229) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:54:22 +0100

partman-base (228) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Hindi (hi.po) by Scrambled777
  * Georgian (ka.po) by Temuri Doghonadze
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 20:08:14 +0200

partman-base (227) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by NicolaeFericitu

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 24 Sep 2023 11:42:20 +0200
